.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the AnimatedSprite3D.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_AnimatedSprite3D:

AnimatedSprite3D
================

**Inherits:** :ref:`SpriteBase3D<class_spritebase3d>` **<** :ref:`GeometryInstance<class_geometryinstance>` **<** :ref:`VisualInstance<class_visualinstance>` **<** :ref:`Spatial<class_spatial>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

2D sprite node in 3D world, that can use multiple 2D textures for animation.

Member Functions
----------------

+--------------------------+------------------------------------------------------------------------------------------+
| :ref:`bool<class_bool>`  | :ref:`is_playing<class_AnimatedSprite3D_is_playing>` **(** **)** const                   |
+--------------------------+------------------------------------------------------------------------------------------+
| void                     | :ref:`play<class_AnimatedSprite3D_play>` **(** :ref:`String<class_string>` anim="" **)** |
+--------------------------+------------------------------------------------------------------------------------------+
| void                     | :ref:`stop<class_AnimatedSprite3D_stop>` **(** **)**                                     |
+--------------------------+------------------------------------------------------------------------------------------+

Signals
-------

.. _class_AnimatedSprite3D_frame_changed:

- **frame_changed** **(** **)**

Emitted when :ref:`frame<class_AnimatedSprite3D_frame>` changed.


Member Variables
----------------

  .. _class_AnimatedSprite3D_animation:

- :ref:`String<class_string>` **animation** - The current animation from the ``frames`` resource. If this value changes, the ``frame`` counter is reset.

  .. _class_AnimatedSprite3D_frame:

- :ref:`int<class_int>` **frame** - The displayed animation frame's index.

  .. _class_AnimatedSprite3D_frames:

- :ref:`SpriteFrames<class_spriteframes>` **frames** - The :ref:`SpriteFrames<class_spriteframes>` resource containing the animation(s).

  .. _class_AnimatedSprite3D_playing:

- :ref:`bool<class_bool>` **playing** - If ``true`` the :ref:`animation<class_AnimatedSprite3D_animation>` is currently playing.


Description
-----------

Animations are created using a :ref:`SpriteFrames<class_spriteframes>` resource, which can be configured in the editor via the SpriteFrames panel.

Member Function Description
---------------------------

.. _class_AnimatedSprite3D_is_playing:

- :ref:`bool<class_bool>` **is_playing** **(** **)** const

Return true if an animation if currently being played.

.. _class_AnimatedSprite3D_play:

- void **play** **(** :ref:`String<class_string>` anim="" **)**

Play the animation set in parameter. If no parameter is provided, the current animation is played.

.. _class_AnimatedSprite3D_stop:

- void **stop** **(** **)**

Stop the current animation (does not reset the frame counter).


